Barth
Netterfield

    kst@kde.org

Rick
Chern

    kst@kde.org

2004
Briti Columbia ülikool

# &kst; algtutvustus

## Tere tulemast!

Tere tulemast! Sind tervitab &kst;. Veel mõni minut ja sa oled teel meie suurepärase andmete joonistamise ja töötlemise rakenduse maailma. Kõigepealt mõned asjad, mida &kst; võimaldab sul teha:

- Joonistada kiiresti kas või mitu graafikut korraga isegi käsurealt.

- Analüüsida andmeid arvukate abivahenditega, sealhulgas histogrammid, jõuspektrid ja isetehtud võrrandid.

- Jooniste huvipakkuvate piirkondade sujuv suurendamine ja vähendamine kas hiirega või klaviatuuri abil.

- Reaalaja andmete jälgimine tänu &kst; reaalajas jooniste loomise võimele.

Käesolev algtutvustus käsitleb &kst; paigaldamise, käivitamise ja kasutamise põhialuseid. See põhineb Barth Netterfieldi kirjutatud &kst; sissejuhatusele. Kõiki siin kirjeldatud võimalusi on põhjalikumalt käsitletud ülejäänud käsiraamatus.

## &kst; käivitamine käsurealt

&kst; kõige tüüpilisem kasutamisviis on andmejooniste kiire loomine käsurealt. See jooniste loomise viis võimaldab peaaegu unustada, et &kst; pakub ka graafilist kasutajaliidest, lubades ometi saada vajalikke tulemusi välkkiirelt.

See sissejuhatus kasutab näidisandmefaile, mis paigaldatakse koos &kst;'ga kataloogi `$`KDEDIR`/share/apps/kst/tutorial`, kus `$`KDEDIR`` on &kde; paigalduse asukoht sinu süsteemis (selle saad leida kasutades käsku `kde-config --prefix`).

Kui sinu käsutuses olev &kst; on väiksema versiooninumbriga kui 1.1.10, leiad andmefailid aadressilt http://omega.astro.utoronto.ca/kst/tutorial/kst_tutorialdata.tgz. Tõmba see enda arvutisse, paki lahti ning liigu saadud kataloogi:

    tar -zxvf kst_tutorialdata.tgz
    cd kst_tutorialdata

Kõigi &kst; võimalike käsureavõtmetega tutvumiseks anna käsk:

    kst --help

Süntaksikirjeldus ja käskude nimekiri peaks välja nägema umbes nii:

    Kasutusviis: kst [Qt-võtmed] [KDE-võtmed] [võtmed] [Failid]

    Kst: andmete visuaalse esitamise rakendus.

    Üldised võtmed:
      --help                    abiinfo võtmete kohta
      --help-qt                 Qt spetsiifilised võtmed
      --help-kde                KDE spetsiifilised võtmed
      --help-all                kõik võtmed
      --author                  info autori(te) kohta
      -v, --version             versiooniinfo
      --license                 litsentsiinfo
      --                        võtmete lõpp

    Võtmed:
      -F <andmefail>            Määrab andmefaili, kasutatakse Kst faili vaikeväärtuste tühistamiseks [|]
      -y <Y>                    Väli Y-teljele (võib anda mitu korda)
      --ye <võrrand>            Võrrand Y-teljele (võib anda mitu korda)
      -e <E>                    Väli Y vigadele (võib anda mitu korda)
      -x <X>                    Väli või vahemik X-teljele [INDEX]
      --xe <X>                  X vektor võrrandile x0:x1:n [INDEX]
      -p <Y>                    Väli jõuspektrile (võib anda mitu korda)
      -h <Y>                    Väli histogrammile (võib anda mitu korda)
      -r <f>                    Jõuspektri valimi samm [60.0]
      --ru <U>                  PSD valimi sammu ühikud [Hz]
      --yu <U>                  Y vektorite ühikud [V]
      -l <P>                    FFT pikkus on 2^P [10]
      -f <F0>                   Esimene loetav kaader [-2]
      -n <NS>                   Loetavate kaadrite arv [-2]
      -s <NS>                   Igal lugemisel vahele jäetavate kaadrite arv [-1]
      -a                        Liikuva keskmise filtri rakendamine enne kaadrite vahelejätmist
      -m <NC>                   Eraldi joonised <NC> veergudesse korraldatult
      -d                        Kõverate asemel punktide näitamine
      -g                        Luuakse legendikast
      --print <fail>            Salvestab faili ja lõpetab [<puudub>]
      --png <fail>              Salvestab png-faili ja lõpetab [<puudub>]

    Argumendid:
      Failid                    Andmefailid (kui on antud -y) või *.kst fail

&kst; spetsiifilised võtmed on kirjas osas `Võtmed:`. Kui võimalik, näidatakse vaikeväärtusi nurksulgudes pärast võtme kirjeldust — neid väärtusi kasutatakse ka täpsustamata võtmete korral.

Vaatame esmalt demopaketis leiduvat ASCII faili `gyrodata.dat`. ASCII failid on üks paljudest failitüüpidest, mida &kst; lugeda oskab. ASCII failides on andmed korraldatud veergudesse, kus iga veerg vastab väljale ning veerunumbrid (1 on kõige vasakpoolsem veerg) väljanimedele. Antud ASCII failis on 3 veergu ja sestap on väljanimed 1, 2 ja 3. Esimese veeru joonise loomiseks anna lihtsalt korraldus:

    kst -y 1 gyrodata.dat

Joonistatakse kõik esimese veeru andmed:

Pane tähele, et joonise X-teljele välja ei määratud, mistõttu &kst; kasutas oodatult vaikimisi indeksivektorit. Indeksivektor on &kst; eriline vektor, mis sisaldab täisarve 0 kuni N-1, kus N on andmeväärtuse arv vastavas Y-telje vektoris. Sulge &kst; käsuga Välju, mille leiad menüüst Fail, või kiirklahviga Ctrl Q.

`gyrodata.dat` sisaldab 20 000 kaadrit, mistõttu võib juhtuda, et sulle pakuvad huvi ainult teatud andmed. Vaid 10 000 kaadri joonistamiseks alates kaadrist 7000 anna korraldus:

    kst -y 1 -f 7000 -n 10000 gyrodata.dat

&kst; üks tugevamaid külgi on joonistada reaalaja andmeid. Oletame, et faili `gyrodata.dat` lõppu lisatakse pidevalt uusi andmeid. Sellisel juhul võib olla mõttekas lasta joonistada ainult uuemaid andmeid. Vaid faili `gyrodata.dat` viimase 10 000 kaadri joonistamiseks anna korraldus:

    kst -y 1 -n 10000 gyrodata.dat

Kui faili `gyrodata.dat` uuendatakse, muutub ka joonis, kujutades alati vaid 10 000 viimast kaadrit.

&kst; ei pea andmeid otse sisendfailist lugema, vaid võib andmeallikana kasutada ka standardsisendist hangitavaid ASCII andmeid. Standardsisendi (stdin) määramiseks sisendiks lisa lihtsalt `stdin` ühe failinimena. Nii avaneb tegelikult päris palju võimalusi, näiteks saab &kst;-d kasutada ühe osana arvukas protsessidejadas:

    cat gyrodata.dat | awk '{print $1 + 2}' | kst -y 1 stdin

Toodud käsk kasutab programmi `awk` 2 liitmiseks faili `gyrodata.dat` esimesele veerule, enne kui saata tulemus &kst;-le.

Pane tähele, et võtme `y` kirjelduse kohaselt on lubatud seda ka mitu korda kasutada. See võimaldab kiiresti joonistada enam kui ühe kõvera või isegi joonise. Faili `gyrodata.dat` kõigi kolme välja joonistamiseks eraldi joonistel anna korraldus:

    kst -y 1 -y 2 -y 3 -m 1 gyrodata.dat

Võti `m` määrab, et ühe joonise asemel tuleb kasutada eraldi jooniseid, nagu näha allpool:

## Andmenõustaja kiirülevaade

Kuigi &kst; kasutamine käsurealt on kiire ja mugav, võib tekkida olukordi, kus andmete import on hõlpsam graafilise kasutajaliidesega — näiteks kui oled juba &kst; avanud muude andmetega. Aga sulle võib ka lihtsalt meeldida graafiline kasutajaliides... Igatahes on mõlema võimalusega kursisolek kindel tee &kst; võimalikult tõhusaks kasutamiseks.

Andmenõustaja võimaldab kiiresti ja hõlpsalt andmefailide põhjal luua vektoreid, kõveraid ja jooniseid. Nõustaja käivitamiseks vali käsk Andmenõustaja... menüüst Andmed või klõpsa tööriistaribal nupule . Seejärel palutakse sul valida andmeallikas. Otsi üles meie käsureanäidetes pruugitud fail `gyrodata.dat` ning klõpsa nupule Järgmine. Ilmub selline aken:

Andmenõustaja teine aken
Andmenõustaja teine aken

Faili `gyrodata.dat` väljad on ära toodud vasakul. Väljaloendit saab filtreerida loendi kohal olevasse tekstikasti vajalikku stringi sisestades (lubatud on ka metamärgid, näiteks `*`). Märgi väljad 1, 2 ja 3.

Sektsioonis Andmevahemik saab määrata andmete vahemiku, mida sisendfaili valitud vektoritest loetakse. Me oletame siinkohal, et sa juba tead, mida tähendab kaader. Väga lühidalt öeldes on kaader lihtsalt andmevalimite kogum ning iga andmefail koosnebki kaadritest. Täpsemalt tutvustab seda aga .

Algus, Arvestamine lõpust, Vahemik ja Lugemine lõpuni

  Nende nelja võimalusega saab määrata andmevahemiku alumise ja ülemise raja. Näiteks ainult faili viimase 10 000 kaadri lugemiseks vali Arvestamine lõpust ning anna Vahemiku väärtuseks `10000`. Kui faili `gyrodata.dat` uuendatakse reaalajas, loetakse ka faili lõppu lisatavaid uusi andmeid.

Loetakse 1 valim N kaadri kohta ja Eelnevalt rakendatakse liikuva keskmise filtrit

  Lisaks vahemiku ülemisele ja alumisele rajale saab määrata ka seda, mitu valimit antud vahemikust loetakse. Kui Loetakse 1 valim N kaadri kohta (kus N on sisestatud väärtus) on märkimata, loetakse antud vahemikus kõik valimid. Kui aga valida Loetakse 1 valim N kaadri kohta, saab osa andmefaili kaadreid vahele jätta. Praegu jäta Loetakse 1 valim N kaadri kohta valimata.

Jõuspektri ja X-telje seadistusi saab määrata osas Joonise tüübid.

XY, Jõuspekter ja XY ja jõuspekter

  Vali XY ja jõuspekter nii andmeid kui selle jõuspektrit sisaldavate jooniste loomiseks. Jõuspektri valikute kohta rohkema info saamiseks vaata .

X-telje vektor

  Seda vektorit kasutatakse joonistel sõltumatu vektorina. Võid valida välja oma andmefailist või indeksivektori. Et `gyrodata.dat` ei sisalda X-telje vektorit, vali INDEX.

Sektsiooni Joonise tüübid alamsektsiooni FFT valikud saab kasutada ainult sel juhul, kui jõuspekter lastakse joonistada. Siinses algtutvustuses ei hakka me jõuspektri üksikasjadega tegelema, nii et jäta siin kehtima vaikimisi määratud valikud.

Kui oled kõik vajaliku määranud, klõpsa järgmisesse aknasse liikumiseks nupule Järgmine.

Andmenõustaja kolmas aken
Andmenõustaja kolmas aken

Siin saab muuta joonise üldisi omadusi. Enamik neist peaks olema mõistetavad ka ilma seletuseta. Vali 1 uus joonis kõvera kohta sektsioonis Kõvera paigutus ning Uues aknas sektsioonis Joonise paigutus. Nii asetatakse kõik kuus joonist (kolm kõverat ja kolm jõuspektrit) ühte aknasse.

Kui oled kõik valikud langetanud, klõpsa nupule Lõpeta ning joonised tekitataksegi:

Loodud joonised
Loodud joonised

Me kulutasime nende jooniste loomisele päris hulga vaeva, nii et nüüd tasuks &kst; seanss (millest tuleb juttu järgmises osas) ka Vali selleks käsk Salvesta kui..., mille leiad menüüst Fail ja salvesta seanss nimega `minukstseanss.kst`:

KST seansi salvestamine
KST seansi salvestamine

&kst; seansi salvestamine salvestab kõik joonised, andmeobjektid (nendega teeme tutvust hiljem) ja paigutused, mis salvestamise ajal eksisteerivad.

Kui fail on salvestatud, võid &kst; sulgeda.

## Jooniste kasutamise põhialused

Nüüd, kus oled veidi tutvunud jooniste loomisega &kst;-s, vaatame põgusalt &kst; graafilise kasutajaliidese pakutavaid jooniste käsitlemise võimalusi. Käivita &kst; käsurealt eelnevalt salvestatud failiga `minukstseanss.kst`:

    kst minukstseanss.kst

&kst; avab nüüd kõik varem loodud joonised. Võtame ette joonise, mille Y-telje pealdiseks on `PSD [V/Hz^{1/2}]`. Joonise täpsemaks uurimiseks tee sellele hiire parema nupuga klõps ja vali ilmuvast hüpikmenüüst käsk Maksimeeri, nagu näitab järgmine joonis:

Joonise maksimeerimine
Joonise maksimeerimine

Joonis on nüüd aknas maksimeeritud. Kindlasti märkad, et suuremate x väärtuste korral on joonis praktiliselt sirge, nii et tegelikult tasuks üldse vaadata ainult seda joonise osa, kus tõesti on midagi vaadata. Selleks veendu, et sisse oleks lülitatud XY hiiresuurendus (vali XY hiiresuurendus menüüst Joonised või klõpsa tööriistaribal nupule ). Seejärel lohista hiirega ristkülik koordinaadist (4, 0,025) kuni koordinaadini (0,0), nagu näha pildil. Pane tähele, et hiirekursori koordinaate näeb &kst; akna alumises paremas nurgas (kui neid seal näha ei ole, kontrolli, et võimalus Olekuriba näitamine menüüs Seadistused oleks sisse lülitatud).

Joonise teljed muutuvad ning suurenevad valitud joonise alal. Küllap märkad, et jõuspektri vasakus servas on tipp, mis väljub Y-telje uuest ülemisest rajast. Oletame, et soovid näha tipu ülaosa. Klõpsa joonisel hiire parema nupuga ja vali kirje Keri alammenüüst Üles. Joonis peaks nüüd ülespoole kerima. Tegelikult on muidugi veel lihtsam kasutada vastava menüükirjega seotud kiirklahvi, mis on olemas kõigil suurendus- ja kerimisvõimalustel. Antud juhul on kiirklahv Nool üles ning hõlpsaim viis joonist ülespoole kerida ongi hoida all klahvi Nool üles. Maksimaalse suurenduse saab mis tahes hetkel sisse lülitada joonisele hiire parema nupuga klõpsates ja kirje Suurenda alammenüüst Suurenda maksimumini valides (sama teeb klahvi M vajutamine, mis on seotud toiminguga Suurenda maksimumini).

Jõuspektri joonise esialgse suuruse saab taastada hiire parema nupuga joonisele klõpsates ja kirje Maksimeeri eest märget eemaldades.

Nüüd vaatame jooniseid, mille Y-telgede pealdisteks on `Column 2` ja `Column 3`. Need on vastavalt 1998. aasta BOOMERANGi lennu pikikalde- ja külgkaldegüroskoop. Kuna need joonised on omavahel seotud, on mõttekas neid üheskoos suurendada ja kerida. Klõpsa mõlemal joonisel ülal paremal nurgas asuvale ruudukesele. Need muutuvad tumedaks, mis annab märku, et kaks joonist on nüüd omavahel seotud:

Seotud suurendus
Seotud suurendus

Enne suurendama asumist tuleks kustutada kõik joonised peale nende kahe, mida me kasutada sovime. Vali Paigutusrežiim menüüst Joonised või klõpsa tööriistaribal nupule . Klõpsa kõigil muudel joonistel ja vali Kustuta. Nüüd klõpsa aknas hiire parema nupuga ja vali Puhasta paigutus. Meie kaks joonist peaks seejärel hõlmama aknas maksimaalse ruumi. Kui oled sellega valmis, mine tagasi XY hiiresuurenduse režiimi.

Nüüd proovi suurendada ülemise joonis mis tahes osa. Märkad, et alumine joonis äkitselt tühjeneb. Põhjuseks on see, et alumise joonise teljed muutusid vastavalt ülemise joonise telgedele, alumise joonise nähtavaks jäänud osas aga pole midagi, mida me võiks kuidagi jälgida. Vii hiirekursor ükspuha kumba joonise kohale ja vajuta klahvi M, millega taastatakse mõlema joonise maksimaalne suurendus. Nüüd vajuta alla klahv Ctrl (see võrdub X hiiresuurendus valimisega menüüst Joonised või klõpsuga tööriistariba nupule ). Hiirekursori muutumine näitab erinevaid režiime. Klahvi Ctrl all hoides lohista hiirega ülemisel joonisel ristkülik. Pane tähele, et ristküliku kõrgus on piiratud, nii et suurendada saab ainult X-telge. Nüüd näitavad mõlemad joonised suurendamisel andmeid, sest kumbkil ei muudeta Y-telge.

Jooniseid saab kiiresti siduda või seose kaotada käsuga Seotud suurendus, mille leiab menüüst Joonised või klõpsuga tööriistariba nupule .

Kui oled suurendamiskatsetused lõpetanud, võid &kst; sulgeda. Seekord pole vaja jooniseid salvestada (kui sa seda just kogu hingest taas ei soovi teha...).

## Lühiülevaade andmeobjektidest

&kst; ei tähenda mõistagi lihtsalt ja ainult andmete joonistamise ja vaatamise võimalust. Andmenõustajas võis juba näha, et &kst; suudab luua ka näiteks jõuspektreid. Tegelikult võib &kst; luua muidki andmeobjekte: histogrammid, võrrandid, pluginad. Kõigil loodud andmeobjektidel aitab silma peal hoida andmehaldur.

Käivita &kst; demopaketti kuuluva failiga `demo.kst`:

    kst demo.kst

Kst failiga demo.kst
Kst failiga demo.kst

See &kst; seanss sisaldab vektoreid ja muid failis `gyrodata.dat` leiduvate andmete põhjal loodud andmeobjekte. Ülemine joonis sisaldab asimuudiandmeid, keskmine pikikaldeandmeid ja alumine pikikaldeandmete jõuspektrit. Vaatame nüüd jooniseid lähemalt. Seo kaks ülemist joonist omavahel eelmises osas näidatud viisil. Nüüd hoia X hiiresuurenduse režiimi minekuks all klahvi Ctrl. Seejärel suurenda ülemisel joonisel mingi väike osa (näiteks 50000 kuni 53000), mis paneb mõlemad seotud joonised suurenema. Märkad, et sinine pikikaldekõver on punase asimuudikõveraga negatiivses korrelatsioonis. Põhjuseks on see, et pikikaldegüroskoop oli asimuuditelje suhtes veidi pööratud (-0,69 kraadi). Õige pikikalle `p'` on: , kus `p` on esialgne kalle, pikikaldegüroskoobi kõrvalekalle asimuuditelje suhtes ja `a` on asimuut. `p'` on must kõver keskmisel joonisel. `p'` jõuspekter on must kõver alumisel joonisel.

Vaatame nüüd, kuidas need kolm joonist luuakse. Andmehalduri avamiseks vali käsk Andmehaldur... menüüst Andmed või klõpsa tööriistaribal nupule :

Andmehaldur
Andmehaldur

Andmehaldur sisaldab kõigi &kst; aktiivse seansi andmeobjektide nimekirja. Siin saab neid ka muuta või luua uusi andmeobjekte. Nagu näed, on kirjas kolm kõverat (igaüks loodud vektoripaari põhjal), üks võrrand, kaks jõuspektrit ja neli andmevektorit. Klõpsa hiire parema nupuga C2-GY_PITCH peal ja vali kirje Eemalda jooniselt alammenüüst W1-P1. Sellega eemaldatakse kõver jooniselt P1 aknas W1. Eemalda samasuguse operatsiooniga ka C-PSD2-V3-GY_PITCH jooniselt P3 aknas W1. Nüüd peaks joonistel olema näha ainult korrigeeritud kõverad:

Ainult korrigeeritud kõverad
Ainult korrigeeritud kõverad

Nägemaks, kuidas luuakse korrigeeritud pikikaldegüroskoop, vali C4-cleaned_pitch ja klõpsa nupule Muuda. Avaneb võrrandi muutmise dialoog:

Võrrandi muutmine
Võrrandi muutmine

Pane tähele, et tekstikasti Võrrand on sisestatud `p'` arvutamiseks kasutatav võrrand (`cos(-0,69)` jaoks kasutatakse lähendust 1). Eksperimenteeri dialoogis kõigi seadistustega. Kui oled valmis, klõpsa nupule OK (tehtud muudatuste salvestamiseks) või Loobu.

Pane tähele, et kõigi andmeobjektide korral on veerus # kasutusel mingi number. See osutab, mitu korda kasutavad andmeobjekti teised andmeobjektid või joonised. Kuna me ühe kõvera ja jõuspektri eemaldasime, peaks vähemalt kahel andmeobjektil olema selles veerus kirjas 0. Kõigi kasutamata andmeobjektide lõplikuks eemaldamiseks klõpsa nupule Puhasta.

Andmehalduri sulgemiseks klõpsa nupule Sulge. Kui soovid, võid ka &kst; sulgeda.

## Pluginatest ja sündmustest

Me lõpetame oma lühiretke &kst; maailma kahe spetsiifilise andmetüübi tutvustamisega — pluginad ja sündmuse monitorid.

Plugin on väga paindlik andmeobjekt, mille käitumine sõltub täielikult konkreetsest valitud pluginafailist. Pluginafail võib olla kaasas juba &kst; endaga, kuid see võib pärineda ka väljastpoolt projekti. Põhjalikud juhised, kuidas ise pluginafaile luua, annab . Pluginad lubavad &kst;-l sooritada andmetega palju lisaoperatsioone, sest pluginafaili ainus nõue on see, et nad kasutaksid sisendina vektoreid ja skalaare ning väljastaksid samuti vektoreid ja skalaare.

Näitena üritame luua väheste andmepunktidega lineaarjaotuse. Käivita &kst; demopaketti kuuluva faili `maxima.dat` esimese välja joonisega:

    kst -y 1 -d maxima.dat

Võti `d` määrab, et joonistatakse ainult punkte, mitte aga jooni. Nüüd näebki andmepunktide joonist:

Andmepunktide joonis
Andmepunktide joonis

Nüüd ava andmehaldur. Klõpsa uue pluginaobjekti loomiseks sektsioonis Uus nupule Plugin... Vali Plugina valik all Lineaarjaotus. See plugin vajab kaht sisendvektorit — üks jaotatavate andmepunktide X- ja teine Y-väärtuste tarbeks. Vali Sisendvektor - X massiiv all INDEX ja Sisendvektor - Y massiiv all 1. Seejärel klõpsa nupule OK. Märkad, et uus pluginaobjekt on tekitanud alamvektorid, kuhu oma väljund salvestada. Väljundvektorite põhjal uue kõvera loomiseks klõpsa nupule Kõver... Vali X-telje vektor all V1-INDEX ja Y-telje vektor all P1-kstfit_linear_unweighted-Y Fitted. Me soovime seada kõvera olemasoleval joonisel andmepunktide peale, seega tuleb sektsioonis Kõvera paigutus valida Olemasoleval joonisel ja välja lülitada Uuel joonisel. Seejärel klõpsa kõvera loomiseks nupule OK. Sulge andmehaldur ja võidki näha lineaarjaotust:

Lineaarjaotus
Lineaarjaotus

Samalaadse protseduuriga saab luua ja joonistada mis tahes tüüpi pluginaobjekti väljundit. Jaotuspluginate loomisel saab aga ka kasutada kiiremat teed. Klõpsa hiire parema nupuga joonisel ja näed ilmuvas hüpikmenüüs alammenüüga kirjet Jaotus... Alammenüüst kõverat valides avaneb jaotusfunktsiooni dialoog, kus X- ja Y-vektor on juba kindlaks määratud. Jaotusplugina valimise järel loobki klõps nupule OK pluginaobjekti, plugina väljundi põhjal kõvera ja asetab selle olemasolevale joonisele.

Vaatame nüüd sündmusi. Sündmuseobjektid jälgivad tavaliselt teisi vektoreid või skalaare ning võtavad midagi ette, kui mingi neid vektoreid või skalaare puudutav tingimus osutub täidetuks. Uue sündmuse loomiseks klõpsa andmehalduri sektsioonis Uus nupule Sündmuse monitor...:

Sündmuse monitor
Sündmuse monitor

Oletame, et pikikalde güroandmeid uuendatakse reaalajas ja et me soovime saada teada, kui korrigeeritud pikikalle väljub vahemikust `[-0.60, -0.40]`. Sellisest sündmusest teadasaamiseks sisesta kasti Avaldis järgmine tekst:

`[C4-cleaned_pitch-sv]>(-0.40) | [C4-cleaned_pitch-sv]<(-0.60)`

Arvesta, et avaldis peab olema antud tõeväärtusavaldisena. Toodud avaldist hinnatakse tõeseks juhul, kui üks tingimustest on täidetud. Vali nii Logitakse kui kui ka Märguanne ning sisesta oma e-posti aadress väljale Märguanne. Klõpsuga nupule OK ongi sündmus loodud.

Nüüd vali menüüst Abi Kst silumine... Klõpsa silumislogi vaatamiseks kaardile Logi. Kui sündmus on korrektselt loodud, peaksid nägema hoiatusi, mis tähistavad X-väärtusi, mille puhul sündmus teoks sai. Kontrolli, kas väärtused vastavad enam-vähem sellele, mida saab näha ka joonisel:

Silumislogi
Silumislogi

Kui pikikalde andmeid uuendatakse reaalajas, käivitub sündmuse monitor uute andmete saabumisel vajaduse korral alati.

Kui oled omadega valmis, võid &kst; sulgeda.

## Kokkuvõte

Me oleme &kst; algtutvustusega lõpule jõudnud. Loodetavasti omandasid piisavalt teadmisi, et &kst;-d produktiivselt kasutama hakata. Arvesta, et käesolev algtutvustus ei hõlma kaugeltki kõiki &kst; võimalusi — uurimiseks ja katsetamiseks jagub ruumi veel kõvasti. Ülejäänud osa sellest käsiraamatust annab põhjaliku ülevaate kogu rakendusest alates akende kasutamise põhialustest kuni oma käega pluginate valmistamiseni. Me soovitame sulle kasutada &kst; kõiki võimalusi — on päris tõenäoline, et sa avastad, et rakendus mitte ainult ei vasta sinu vajadustele, vaid lausa ületab neid tunduvalt.